<!DOCTYPE html>
<html>
<head>
	<title> Task2 </title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
</head>
<body style="background-color:black;">

<h2 class="task">Task 2</h2>
<canvas id="myCanvas" width="940" height="545"
style="border:1px solid #d3d3d3; margin-top:0%; margin-left:15%;margin-right:15%; margin-bottom:5%;position: absolute; background-color:white;">
Your browser does not support the HTML5 canvas tag.
</canvas>
<p class="task_question2">Drag and drop into the correct boxes to make the correct pair of blood transfusion<br> 
(according to the compatibility of the blood group)</p>

<div class="square1" ondrop="drop(event)" ondragover="allowDrop(event)" id="ai1"></div>
<img id="theImage1" src="img/crt.gif" class="crt1">
<img id="wrgImage1" src="img/wrong.gif" class="wrg1">

<div class="square2" ondrop="drop(event)" ondragover="allowDrop(event)" id="bi1"></div>
<img id="theImage2" src="img/crt.gif" class="crt2">
<img id="wrgImage2" src="img/wrong.gif" class="wrg2">

<div class="square3" ondrop="drop(event)" ondragover="allowDrop(event)" id="abi1"></div>
<img id="theImage3" src="img/crt.gif" class="crt3">
<img id="wrgImage3" src="img/wrong.gif" class="wrg3">

<div class="square4" ondrop="drop(event)" ondragover="allowDrop(event)" id="abi2"></div>
<img id="theImage4" src="img/crt.gif" class="crt4">
<img id="wrgImage4" src="img/wrong.gif" class="wrg4">

<div class="square5" ondrop="drop(event)" ondragover="allowDrop(event)" id="oi1"></div>
<img id="theImage5" src="img/crt.gif" class="crt5">
<img id="wrgImage5" src="img/wrong.gif" class="wrg5">

<div class="square6" ondrop="drop(event)" ondragover="allowDrop(event)" id="bi2"></div>
<img id="theImage6" src="img/crt.gif" class="crt6">
<img id="wrgImage6" src="img/wrong.gif" class="wrg6">

<div class="square7" ondrop="drop(event)" ondragover="allowDrop(event)" id="oi2"></div>
<img id="theImage7" src="img/crt.gif" class="crt7">
<img id="wrgImage7" src="img/wrong.gif" class="wrg7">

<div class="square8" ondrop="drop(event)" ondragover="allowDrop(event)" id="abi3"></div>
<img id="theImage8" src="img/crt.gif" class="crt8">
<img id="wrgImage8" src="img/wrong.gif" class="wrg8">

<div class="square9" ondrop="drop(event)" ondragover="allowDrop(event)" id="abi4"></div>
<img id="theImage9" src="img/crt.gif" class="crt9">
<img id="wrgImage9" src="img/wrong.gif" class="wrg9">

<div class="square10" ondrop="drop(event)" ondragover="allowDrop(event)" id="ai2"></div>
<img id="theImage10" src="img/crt.gif" class="crt10">
<img id="wrgImage10" src="img/wrong.gif" class="wrg10">

<div class="square11" ondrop="drop(event)" ondragover="allowDrop(event)" id="abi5"></div>
<img id="theImage11" src="img/crt.gif" class="crt11">
<img id="wrgImage11" src="img/wrong.gif" class="wrg11">

<div class="square12" ondrop="drop(event)" ondragover="allowDrop(event)" id="oi3"></div>
<img id="theImage12" src="img/crt.gif" class="crt12">
<img id="wrgImage12" src="img/wrong.gif" class="wrg12">

<div class="square13" ondrop="drop(event)" ondragover="allowDrop(event)" id="bi3"></div>
<img id="theImage13" src="img/crt.gif" class="crt13">
<img id="wrgImage13" src="img/wrong.gif" class="wrg13">

<div class="square14" ondrop="drop(event)" ondragover="allowDrop(event)" id="bi4"></div>
<img id="theImage14" src="img/crt.gif" class="crt14">
<img id="wrgImage14" src="img/wrong.gif" class="wrg14">

<div class="square15" ondrop="drop(event)" ondragover="allowDrop(event)" id="ai3"></div>
<img id="theImage15" src="img/crt.gif" class="crt15">
<img id="wrgImage15" src="img/wrong.gif" class="wrg15">

<div class="blood-in1">
<div class="blood1">
<p class="blood-letter"></p>
</div>
</div>

<div class="blood-in2" ondrop="drop(event)" ondragover="allowDrop(event)" id="bo1">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="b1">
<p class="blood-letter">B</p>
</div>
</div>

<div class="blood-in3" >
<div class="blood1">
<p class="blood-letter"></p>
</div>
</div>

<div class="blood-in4" ondrop="drop(event)" ondragover="allowDrop(event)" id="ao1">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="a1">
<p class="blood-letter">A</p>
</div>
</div>

<div class="blood-in5" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo1">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o1">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in6" ondrop="drop(event)" ondragover="allowDrop(event)">
<div class="blood1" >
<p class="blood-letter"></p>
</div>
</div>

<div class="blood-in7" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo2">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o2">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in8" ondrop="drop(event)" ondragover="allowDrop(event)" id="ao2">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="a2">
<p class="blood-letter">A</p>
</div>
</div>

<div class="blood-in9" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo3">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o3">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in10" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo4">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o4">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in11" ondrop="drop(event)" ondragover="allowDrop(event)" id="ao3">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="a3">
<p class="blood-letter">A</p>
</div>
</div>

<div class="blood-in12" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo5">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o5">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in13">
<div class="blood1" >
<p class="blood-letter"></p>
</div>
</div>

<div class="blood-in14" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo6">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o6">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in15" ondrop="drop(event)" ondragover="allowDrop(event)" id="abo1">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="ab1">
<p class="blood-letter">AB</p>
</div>
</div>

<div class="blood-in16" ondrop="drop(event)" ondragover="allowDrop(event)" id="bo2">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="b2">
<p class="blood-letter">B</p>
</div>
</div>

<div class="blood-in17" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo7">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o7">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in18">
<div class="blood1" >
<p class="blood-letter"></p>
</div>
</div>

<div class="blood-in19" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo8">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o8">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in20" ondrop="drop(event)" ondragover="allowDrop(event)" id="bo3">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="b3">
<p class="blood-letter">B</p>
</div>
</div>

<div class="blood-in21" ondrop="drop(event)" ondragover="allowDrop(event)" id="abo2">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="ab2">
<p class="blood-letter">AB</p>
</div>
</div>

<div class="blood-in22" ondrop="drop(event)" ondragover="allowDrop(event)" id="oo9">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o9">
<p class="blood-letter">O</p>
</div>
</div>

<div class="blood-in23" ondrop="drop(event)" ondragover="allowDrop(event)" id="ao4">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="a4">
<p class="blood-letter">A</p>
</div>
</div>

<div class="blood-in24">
<div class="blood1" >
<p class="blood-letter"></p>
</div>
</div>

<div class="blood-in25" ondrop="drop(event)" ondragover="allowDrop(event)" id="bo4">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="b4">
<p class="blood-letter">B</p>
</div>
</div>


<div class="blood-in26" ondrop="drop(event)" ondragover="allowDrop(event)">
<div class="blood1" ondragstart="dragStart(event)" draggable="true"  id="o10">
<p class="blood-letter">O</p>
</div>
</div>

<a href="task3.html"><img class="icon2" src="https://img.icons8.com/flat-round/64/000000/fast-forward--v1.png"/></a>
<script>

var c = document.getElementById("myCanvas");
var ctx = c.getContext("2d");
var page2="null";
var page1=sessionStorage.getItem("page1");
var page3=sessionStorage.getItem("page3");
console.log(page1);

var t2=0;

ctx.beginPath();
ctx.rect(20, 60, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("A", 40, 95);

ctx.beginPath();
ctx.rect(200, 60, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("B", 220, 95);

ctx.beginPath();
ctx.rect(380, 60, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("AB", 390, 95);

ctx.beginPath();
ctx.rect(560, 60, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("AB", 570, 95);

ctx.beginPath();
ctx.rect(740, 60, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("O", 760, 95);

ctx.beginPath();
ctx.rect(20, 150, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("B", 40, 190);

ctx.beginPath();
ctx.rect(200, 150, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("O", 220, 190);

ctx.beginPath();
ctx.rect(380, 150, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("AB", 390, 190);

ctx.beginPath();
ctx.rect(560, 150, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("AB", 570, 190);

ctx.beginPath();
ctx.rect(740, 150, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("A", 760, 190);


ctx.beginPath();
ctx.rect(20, 240, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("AB", 30, 280);

ctx.beginPath();
ctx.rect(200, 240, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("O", 220, 280);

ctx.beginPath();
ctx.rect(380, 240, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("B", 400, 280);

ctx.beginPath();
ctx.rect(560, 240, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("B", 580, 280);

ctx.beginPath();
ctx.rect(740, 240, 60, 60);
ctx.stroke();
ctx.fillStyle = "red";
ctx.font = "20pt sans-serif";
ctx.fillText("A", 760, 280);

function dragStart(event) {
  event.dataTransfer.setData("text", event.target.id);
  
}

function allowDrop(event) {
  event.preventDefault();
}

function drop(event) {
  event.preventDefault();
  var data = event.dataTransfer.getData("text");

  if(!$(this).children().length){
	if(event.target.id==""||event.target.id=="a1"||event.target.id=="a2"||event.target.id=="a3"||event.target.id=="a4"||event.target.id=="b1"||event.target.id=="b2"||event.target.id=="b3"||event.target.id=="b4"||event.target.id=="ab1"||event.target.id=="ab2"||event.target.id=="o1"||event.target.id=="o2"||event.target.id=="o3"||event.target.id=="o4"||event.target.id=="o5"||event.target.id=="o6"||event.target.id=="o7"||event.target.id=="o8"||event.target.id=="o9"){
		console.log(event.target.id);
		console.log("mudila");
		return false;
	}
	else{
		event.target.appendChild(document.getElementById(data));
		$(event.target).addClass('hasChild');
		console.log(data);
		console.log(event.target.id);
		console.log("success");
		
		if(event.target.id=="ai1"){
			document.getElementById("wrgImage1").style.display = "none";
			if(data=="a1"||data=="a2"||data=="a3"||data=="o10"||data=="a4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage1").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage1").style.display = "block";
			}
		}
		else if(event.target.id=="ai2"){
		document.getElementById("wrgImage10").style.display = "none";
			if(data=="a1"||data=="a2"||data=="o10"||data=="a3"||data=="a4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage10").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage10").style.display = "block";
			}
		}
		else if(event.target.id=="ai3"){
		document.getElementById("wrgImage15").style.display = "none";
			if(data=="a1"||data=="a2"||data=="a3"||data=="a4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="o10"){
			document.getElementById("theImage15").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage15").style.display = "block";
			}
		}
		else if(event.target.id=="bi1"){
		document.getElementById("wrgImage2").style.display = "none";
			if(data=="b1"||data=="b2"||data=="b3"||data=="b4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="o10"){
			document.getElementById("theImage2").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage2").style.display = "block";
			}
		}
		else if(event.target.id=="bi2"){
		document.getElementById("wrgImage6").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage6").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage6").style.display = "block";
			}
		}
		else if(event.target.id=="bi3"){
		document.getElementById("wrgImage13").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage13").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage13").style.display = "block";
			}
		}
		else if(event.target.id=="bi4"){
		document.getElementById("wrgImage14").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage14").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage14").style.display = "block";
			}
		}
		else if(event.target.id=="abi1"){
		document.getElementById("wrgImage3").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="ab1"||data=="ab2"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="a1"||data=="a2"||data=="a3"||data=="a4"){
			document.getElementById("theImage3").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage3").style.display = "block";
			}
		}
		else if(event.target.id=="abi2"){
		document.getElementById("wrgImage4").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="ab1"||data=="ab2"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="a1"||data=="a2"||data=="a3"||data=="a4"){
			document.getElementById("theImage4").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage4").style.display = "block";
			}
		}
		else if(event.target.id=="abi3"){
		document.getElementById("wrgImage8").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="ab1"||data=="ab2"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="a1"||data=="a2"||data=="a3"||data=="a4"){
			document.getElementById("theImage8").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage8").style.display = "block";
			}
		}
		else if(event.target.id=="abi4"){
		document.getElementById("wrgImage9").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="ab1"||data=="ab2"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="a1"||data=="a2"||data=="a3"||data=="a4"){
			document.getElementById("theImage9").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage9").style.display = "block";
			}
		}
		else if(event.target.id=="abi5"){
		document.getElementById("wrgImage11").style.display = "none";
			if(data=="b1"||data=="b2"||data=="o10"||data=="b3"||data=="b4"||data=="ab1"||data=="ab2"||data=="o1"||data=="o2"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"||data=="a1"||data=="a2"||data=="a3"||data=="a4"){
			document.getElementById("theImage11").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage11").style.display = "block";
			}
		}
		else if(event.target.id=="oi1"){
		document.getElementById("wrgImage5").style.display = "none";
			if(data=="o1"||data=="o2"||data=="o10"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage5").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage5").style.display = "block";
			}
		}
		else if(event.target.id=="oi2"){
		document.getElementById("wrgImage7").style.display = "none";
			if(data=="o1"||data=="o2"||data=="o10"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage7").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			}
			else{
			document.getElementById("wrgImage7").style.display = "block";
			}
		}
		else if(event.target.id=="oi3"){
		document.getElementById("wrgImage12").style.display = "none";
			if(data=="o1"||data=="o2"||data=="o10"||data=="o3"||data=="o4"||data=="o5"||data=="o6"||data=="o7"||data=="o8"||data=="o9"){
			document.getElementById("theImage12").style.display = "block";
			console.log("done");
			event.target.id="";
			
			++t2;
			
			
	
		
			
			}
			else{
			document.getElementById("wrgImage12").style.display = "block";
			}
		}
		
			
		if(t2==15){
				page2="t2";
				console.log(page1,page2,page3);
				if(page1=="null"&&page2=="t2"&&page3=="null"||page1!="t1"&&page2=="t2"&&page3!="t3"){
					window.location.replace("bronze.html");
				}
				else if(page1=="t1"&&page2=="t2"&&page3=="null"){
					window.location.replace("silver.html");
				}
				else if(page1=="t1"&&page2=="t2"&&page3=="t3"){
					window.location.replace("gold.html");
				}
				else if(page1=="null"&&page2=="t2"&&page3=="t3"){
					window.location.replace("silver.html");
				}
sessionStorage.setItem("page3",page3);
sessionStorage.setItem("page1",page1);
sessionStorage.setItem("page2",page2);
console.log(page1,page2,page3);
				
		   
			}
			
		
		
	
		
	}
  }
  else{
	event.target.after(document.getElementById(data));
	console.log("pochchu");
	}
}


</script>

</body>
</html>



